%define 	module	webcolors
Summary:	Library for working with sRGB color specifications as used in HTML and CSS
Name:		python-%{module}
Version:	1.3.1
Release:	2
License:	BSD License
Group:		Development/Languages
URL:		http://www.bitbucket.org/ubernostrum/webcolors/overview/
Source0:	http://bitbucket.org/ubernostrum/%{module}/downloads/%{module}-%{version}.tar.gz
# Source0-md5:	aeb4f33be6c26ec7f76a78c2d88cfb0c
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for working with color names and color value formats defined
by the HTML and CSS specifications for use in documents on the Web.

Support is included for the following formats (RGB colorspace only;
conversion to/from HSL can be handled by the colorsys module in the
Python standard library):
- Specification-defined color names
- Six-digit hexadecimal
- Three-digit hexadecimal
- Integer rgb() triplet
- Percentage rgb() triple

%prep
%setup -q -n %{module}-%{version}
%{__sed} -i -e 's/^from ez_setup/#from ez_setup/' setup.py
%{__sed} -i -e 's/^use_setuptools()/#use_setuptools()/' setup.py

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install \
	--root $RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-*.egg-info
%endif
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-webcolors.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6599c9a
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 55c563e
- automatic change: use py_build/py_install macros

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> fdfbf7a
- shorten summary

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> cefbf66
- release 1

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> 7cbd3e6
- adapter, py_postclean

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> 22fb02d
- rel. 0.2,
- clear Requires.

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> 2fc397c
- version 1.3.1,
- release 0.1.

